HTTPSEverywhere.Target – httpseverywhere-0.8 Reference Manual

# Target

## Object Hierarchy:

## Description:

public class Target : Object

Use Targets to check if a Ruleset applies to an arbitrary URL

Namespace: HTTPSEverywhere
Package: httpseverywhere-0.8

## Content:

### Properties:

- public string host { set; get; }

### Creation methods:

- public Target (string host)
  Defines a new Target. Hosts of targets are only allowed to have one asterisk as a wildcard-symbol

### Methods:

- public bool matches (string url)
  This method checks if this target is applying to the given url

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count